searchData={"items":[{"type":"module","title":"ExTextSplitter","doc":"Documentation for `ExTextSplitter`.","ref":"ExTextSplitter.html"},{"type":"module","title":"ExTextSplitter.Native","doc":"# ExTextSplitter\n\nThis package provides bindings to [text-splitter](https://github.com/benbrandt/text-splitter) crate\nBy default only the text_splitter function is available but you can configure the available features:\n\n```elixir\n# this will enable all features\nconfig :ex_text_splitter,\n  features: [\"markdown\", \"tiktoken-rs\"]\n```\n\nThis can be also configured using Mix.installed\n```elixir\nMix.install(\n    [:ex_text_splitter],\n    config: [ex_text_splitter: [features: [\"markdown\"]]]\n)\n```\n<!-- MDOC -->","ref":"ExTextSplitter.Native.html"},{"type":"module","title":"Installation - ExTextSplitter.Native","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `ex_text_splitter` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_text_splitter, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"ExTextSplitter.Native.html#module-installation"},{"type":"function","title":"ExTextSplitter.Native.markdown_splitter/2","doc":"","ref":"ExTextSplitter.Native.html#markdown_splitter/2"},{"type":"function","title":"ExTextSplitter.Native.text_splitter/2","doc":"text_splitter(\"your text here\", options)\nwhere options is a keyword list with these optional params:\n\nmax_tokens: integer,\nmin_tokens: integer,\ntrim_chunks: bool,\ntokenizer:\n\"cl100k_base\"\n| \"p50k_base\"\n| \"r50k_base\"\n| \"p50k_edit\"\n\nusing text_splitter a token is a single letter, when using\ntokenizer_text_splitter then it's a real token","ref":"ExTextSplitter.Native.html#text_splitter/2"},{"type":"function","title":"ExTextSplitter.Native.tokenizer_markdown_splitter/2","doc":"","ref":"ExTextSplitter.Native.html#tokenizer_markdown_splitter/2"},{"type":"function","title":"ExTextSplitter.Native.tokenizer_text_splitter/2","doc":"","ref":"ExTextSplitter.Native.html#tokenizer_text_splitter/2"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}